# Class: BaseApiAdapter

## LocusZoom_Adapters~BaseApiAdapter()

Removed class for LocusZoom data adapters that receive their data over the web. Adds default config parameters (and potentially other behavior) that are relevant to URL-based requests.

## Constructor

#### new BaseApiAdapter()

##### Parameters:

Name | Type | Description
--- | --- | ---
`config.url` | string | The URL for the remote dataset. By default, most adapters perform a GET request.

Deprecated:
  - Yes
Source:
  - data/adapters.js, line 58

### Extends

- module:LocusZoom_Adapters~BaseAdapter